# Copyright (c) 2019 Autoconf Archive Maintainers <autoconf-archive-maintainers@gnu.org>
#
# Copying and distribution of this file, with or without modification, are
# permitted in any medium without royalty provided the copyright notice and
# this notice are preserved. This file is offered as-is, without any warranty.

2018-12-29  Reini Urban  <rurban@cpan.org>

	AX_ASM_INLINE: accept asm also

2018-11-14  Ossama Othman  <ossama.othman@intel.com>

	ax_check_enable_debug: Correct NDEBUG regression.
	Reintroduce change (6e6c447) that addressed NDEBUG redefinition when
	using both the AX_CODE_COVERAGE and AX_CHECK_ENABLE_DEBUG macros.  It
	was lost in the previous patch to ax_check_enable_debug.m4 (d049eeb).

2018-10-30  Ossama Othman  <ossama.othman@intel.com>

	Fix AX_CODE_COVERAGE 'distclean' related comments
	The local Automake distclean target is distclean-local, not
	dist-clean-local.  Update the AX_CODE_COVERAGE macro documentation,
	accordingly.

2018-10-19  Peter Simons  <simons@cryp.to>

	AX_SWIG_ENABLE_CXX: don't set $SWIG unless it was actually detected
	Suggested-by: Christian Ferrari <camauz@yahoo.com>

2018-08-25  Daniel Black  <daniel@linux.ibm.com>

	ax_gcc_archflag: include POWER7 -> POWER10
	POWER6 is missing - couldn't find hardware to test (and it was
	a long time ago).

	Tested on P7 - P9.

	Added POWER10 as its in development and unlikely to change.

	Closes https://github.com/autoconf-archive/autoconf-archive/pull/175.

2018-08-05  Peter Simons  <simons@cryp.to>

	Merge pull request #173 from petk/patch-ac-help-string
	Replace obsolete AC_HELP_STRING with AS_HELP_STRING

2018-08-05  Maximilian Heinzler  <m.heinzler@heinzler.de>

	Fix doxygen error message
	Show the actual unsatisfied dependency instead of repeating the currently tested feature.

2018-07-31  Peter Kokot  <peterkokot@gmail.com>

	Replace obsolete AC_HELP_STRING with AS_HELP_STRING
	Autoconf made several macros obsolete including AC_HELP_STRING somewhere
	in 2003 in Autoconf 2.59 version. Macro should be replaced with
	AS_HELP_STRING.

2018-07-29  Peter Kokot  <peterkokot@gmail.com>

	Merge pull request #170 from petk/patch-ac-compile-1
	Replace AC_TRY_COMPILE and AC_LANG_

2018-07-28  Peter Kokot  <peterkokot@gmail.com>

	Merge pull request #171 from petk/patch-ac-compile-2
	Replace obsolete AC_TRY_COMPILE with AC_COMPILE_IFELSE

	Fix typos

2018-07-27  Peter Kokot  <peterkokot@gmail.com>

	Replace obsolete AC_TRY_COMPILE with AC_COMPILE_IFELSE
	Autoconf made several macros obsolete including the AC_TRY_COMPILE in
	2000 and since Autoconf 2.50:
	http://git.savannah.gnu.org/cgit/autoconf.git/tree/ChangeLog.2

	These macros should be replaced with the current AC_COMPILE_IFELSE
	instead.

	Refs:
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Obsolete-Macros.html
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/AC_005fACT_005fIFELSE-vs-AC_005fTRY_005fACT.html

2018-07-26  Peter Kokot  <peterkokot@gmail.com>

	Replace AC_TRY_COMPILE and AC_LANG_
	Autoconf 2.50 in 2001 made several macros obsolete. These include macros
	for temporary changing the language - AC_LANG_SAVE, AC_LANG_CPLUSPLUS,
	AC_LANG_C, and AC_LANG_RESTORE. Instead of these the AC_LANG_PUSH and
	AC_LANG_POP macros should be used with later Autoconf versions.

	AC_TRY_COMPILE macros should be replaced with AC_COMPILE_IFELSE.

	Refs:
	- http://git.savannah.gnu.org/cgit/autoconf.git/tree/NEWS
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Language-Choice.html
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Obsolete-Macros.html

2018-07-26  Peter Kokot  <peterkokot@gmail.com>

	Replace AC_TRY_LINK and AC_LANG_
	Autoconf 2.50 in 2001 made several macros obsolete. These include macros
	for temporary changing the language - AC_LANG_SAVE, AC_LANG_CPLUSPLUS,
	and AC_LANG_RESTORE. Instead of these the AC_LANG_PUSH and
	AC_LANG_POP macros should be used with later Autoconf versions.

	AC_TRY_LINK macros should be replaced with AC_LINK_IFELSE and
	AC_LANG_PROGRAM.

	Refs:
	- http://git.savannah.gnu.org/cgit/autoconf.git/tree/NEWS
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Language-Choice.html
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Obsolete-Macros.html

2018-07-25  Peter Simons  <simons@cryp.to>

	Merge pull request #164 from gdraheim/all-permissive
	all-permissive for macros from Guido Draheim / Maarten Bosmans

	Merge pull request #167 from petk/patch-ac-try-link
	Replace obsolete AC_TRY_LINK macros with AC_LINK_IFELSE

2018-07-24  Peter Kokot  <peterkokot@gmail.com>

	Replace obsolete AC_TRY_LINK_FUNCTION macros
	Autoconf 2.50 introduced new macros in favor of the AC_TRY_FOO. Since
	Autoconf 2.55 the AC_TRY_LINK_FUNC macro has been additionally marked
	as obsolete and suggested to be replaced with AC_LINK_IFELSE and
	AC_LANG_CALL.

	Refs:
	- http://git.savannah.gnu.org/cgit/autoconf.git/tree/NEWS
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Obsolete-Macros.html

2018-07-24  Peter Kokot  <peterkokot@gmail.com>

	Replace obsolete AC_TRY_LINK macros with AC_LINK_IFELSE
	Autoconf 2.50 (released in 2001) made several macros obsolete including
	the AC_TRY_LINK which should now be replaced with the AC_LINK_IFELSE.

	Refs:
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/AC_005fACT_005fIFELSE-vs-AC_005fTRY_005fACT.html
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Obsolete-Macros.html

2018-07-23  Peter Kokot  <peterkokot@gmail.com>

	Replace obsolete AC_TRY_CPP with AC_PREPROC_IFELSE
	The AC_TRY_CPP macro has been made obsolete in Autoconf 2.50 which was
	released in 2001. It should be replaced with AC_PREPROC_IFELSE macro.

	Refs:
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/AC_005fACT_005fIFELSE-vs-AC_005fTRY_005fACT.html
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Running-the-Preprocessor.html

2018-07-23  Peter Kokot  <peterkokot@gmail.com>

	Replace obsolete AC_TRY_RUN with AC_RUN_IFELSE
	Autoconf made several macros obsolete including the AC_TRY_RUN and in
	2000 and since Autoconf 2.50:
	http://git.savannah.gnu.org/cgit/autoconf.git/tree/ChangeLog.2

	These macros should be replaced with the current AC_RUN_IFELSE instead.

	This patch was created with the help of the autoupdate script.

	Reference docs:
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Obsolete-Macros.html
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.59/autoconf.pdf

2018-07-22  Guido Draheim  <guidod@gmx.de>

	all-permissive for macros from Guido Draheim / Maarten Bosmans

	all-permissive for macros from Guido Draheim / Maarten Bosmans

	all-permissive for macros from Guido Draheim / Maarten Bosmans

	all-permissive for macros from Guido Draheim / Maarten Bosmans

	all-permissive for macros from Guido Draheim / Maarten Bosmans

2018-07-21  Guido Draheim  <guidod@gmx.de>

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

2018-07-16  Wolfgang Stöggl  <c72578@yahoo.de>

	AX_BOOST_BASE: add powerpc64 powerpc64le to archs
	- Add further possibilities for values of $host_cpu.
	  This fixes issues in distros like Fedora, where
	  $host_cpu is powerpc64 for ppc64 and powerpc64le for ppc64le

	Closes https://github.com/autoconf-archive/autoconf-archive/pull/162.

2018-06-30  Stefan Weil  <sw@weilnetz.de>

	AX_CHECK_COMPILE_FLAG: released under all-permissive license
	Replace GPL3 + Autoconf exception by all-permissive license.

	See discussion at https://github.com/tesseract-ocr/tesseract/pull/1559.

2018-06-30  Stefan Weil  <sw@weilnetz.de>

	Fix typos found by codespell

2018-06-08  Will Thompson  <will@willthompson.co.uk>

	ax_compiler_flags_cflags: fix disabling C-only warnings
	https://github.com/autoconf-archive/autoconf-archive/pull/147 introduced
	a regression where, because -Wdeclaration-after-statement etc. are
	appended to the compile flags after the user-supplied list of warnings
	to disable, it is impossible to disable these warnings.

2018-05-29  Carnë Draug  <carandraug+dev@gmail.com>

	ax_jni_include_dir.m4: require AC_CANONICAL_HOST to make host_os available

2018-05-21  Alexander Lakhin  <exclusion@gmail.com>

	ax_lib_postgresql: Double-quote the literal with square brackets

2018-05-05  Krzesimir Nowak  <qdlacz@gmail.com>

	Some cleanups in C++17 checking code
	There is a released version of clang that supports C++17, so drop all
	the ifdefs that made clang to skip some checks.

	Also, a __cplusplus macro is specified to expand to 201703L, so fix
	the check accordingly.

2018-04-21  Andreas Schwab  <schwab@suse.de>

	AX_BOOST_BASE: add riscv64 to the list of lib64 architectures

2018-04-19  Krzesimir Nowak  <krzesimir@kinvolk.io>

	ax_cxx_compile_stdcxx.m4: Drop the check for default C++ version support
	The problem with the check is that it can't detect whether the version
	is with extensions or not. So it can't take the "noext" or "ext"
	option into account.

	This may be a problem when an extended version of C++ has a feature
	that conflicts with another feature from the C++ standard and we have
	no way to tell the macro to add a "-std" flag anyway.

	An example:

	    using namespace std::complex_literals;
	    std::complex<double> c = 1.0;
	    c += 1.0i;
	    std::cout << "abs" << c << " = " << abs(c) << '\n';

	Here, the "1.0i" constant is either a GCC extension if compiled with
	-std=gnu++14 or a standard C++ operator if compiled with
	-std=c++14. If a GCC extension is used, the snippet fails to
	compile. Unfortunately, recent GCC versions default to gnu++14, so
	this code fails to compile by default.

	Dropping the check forces the macro to evaluate compiler flags with
	taking the "ext"/"noext" option into account.

	Issue spotted by Frédéric Mangano-Tarumi.

2018-03-23  Peter Hill  <zed.three@gmail.com>

	AX_LIB_HDF5: fix order of flags
	When iterating over flags from h5cc, the HDF5_{CPPFLAGS,LDFLAGS,LIBS}
	variables were assembled in reverse order. This causes problems when
	linking against static libraries

2018-03-20  Peter Simons  <simons@cryp.to>

	AX_CODE_COVERAGE: re-format header into canon layout

	Merge remote-tracking branch 'github/master'

2018-03-19  Bastien Roucariès  <bastien.roucaries+debian@gmail.com>

	Use non localised date for ax_am_macros
	Do not punk utf-8 in Makefile due to date

2018-03-18  Bastien Roucariès  <bastien.roucaries+debian@gmail.com>

	Force use of GNU make
	GNU make was required so check it use

	Do not use coverage rules outside topdir
	It was not supported so speed up rules

	Use AX_ADD_AM_MACRO_STATIC
	Avoid some error in case of no coverage included

	Expand enable/disable code coverage
	Try to simplify this file

2018-03-18  Terry Droeger  <terry.droeger@gmail.com>

	fix serial number for previous fix

	fix header file path and version check conditional

2018-03-14  Maximilian Heinzler  <m.heinzler@heinzler.de>

	Remove warning about C++17
	Now that C++17 has been standardized this warning can be removed.

2018-03-13  Peter Simons  <simons@cryp.to>

	AX_LIB_POSTGRESQL: re-format to canonic layout and fix serial number

	AX_COMPILER_VERSION: bump serial number

2018-03-13  Vasil Dimov  <vd@FreeBSD.org>

	fix checks for boost chrono and unit_test
	The two test programs could produce a compiler warnings (or errors if
	-Werror is engaged) about unused variables and fail the checks. It is
	better to have test programs that do not produce warnings.

	Closes https://github.com/peti/autoconf-archive/pull/148.

2018-03-13  Bastien Roucariès  <bastien.roucaries+debian@gmail.com>

	Robustify
	Check pkg-config return

2018-03-12  Bastien Roucariès  <bastien.roucaries+debian@gmail.com>

	Populate like pkgconfig the variables

	Use pkg-config for postgresql

	Add action found/not found to PostgreSQL

	Modernize ax_lib_postgresql
	Avoid a compilation failure on debian

2018-03-09  Bastien Roucariès  <bastien.roucaries+debian@gmail.com>

	Fix version extraction with old sdcc

	Support sdcc compiler

2018-02-13  Peter Simons  <simons@cryp.to>

	AX_DIST_RPM: various fixes
	- At some point macros was added to aminclude_static.am instead of
	  aminclude.am. Change description.

	- Inserted make conditional so rules don't mess around in subdirectories.
	  Putting .spec files here via dist-hook breaks rpmbuild.

	- Run gawk with LC_ALL=C to produce english dates in RPMChangeLog understood by
	  rpmbuild.

	- Escape $PLATFORM_SUFFIX so variable given at configure time is used instead
	  of env variable present at the time aclocal is run.

	- Change .i. to just .. in rpm target. i* was probably meant to match i386 but
	  does not match x86_64.

	If there is any suggestions to improving this just let me know. The check for
	being at the top-level makefile seems a bit ugly but I can't come up with a
	better solution. Checking for MAKELEVEL == 0 doesn't work.

2018-02-13  Ricardo Wurmus  <rekado@elephly.net>

	m4: Add AX_R_PACKAGE macro.
	* m4/ax_r_package.m4: New file.

2018-02-13  Kip Warner  <kip@thevertigo.com>

	ax_var_{push,pop}.m4 were both missing auxiliary macros found in the other...

2018-01-15  Reuben Thomas  <rrt@sc3d.org>

	ax_python.m4: improve documentation slightly
	Remove explicit, duplicate (and out-of-date!) mention of Python versions in
	the documentation at the top of the file.

2018-01-15  Peter Simons  <simons@cryp.to>

	Merge pull request #147 from rurban/cflags
	ax_compiler_flags_cflags: c++ fixes

2018-01-15  Reini Urban  <rurban@cpan.org>

	ax_compiler_flags_cflags: c++ fixes
	Several warning flags are incompatible with c++:
	-Wnested-externs -Wmissing-prototypes -Wstrict-prototypes -Wdeclaration-after-statement
	-Wold-style-definition -Wimplicit-function-declaration -Wjump-misses-init

2018-01-15  Reini Urban  <rurban@cpan.org>

	ax_compiler_flags_ldflags: harden
	Add -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack

	but not yet the brand-new textonly, retpolineplt linker flags. Let's wait
	what gcc decides on the flags for Spectre, clang went with retpolineplt.

2018-01-11  Peter Simons  <simons@cryp.to>

	Merge pull request #144 from akopytov/master
	AX_GCC_ARCHFLAG: update Broadwell CPUID patterns.

2018-01-10  Alexey Kopytov  <akopytov@gmail.com>

	AX_GCC_ARCHFLAG: update Broadwell CPUID patterns.
	Update Broadwell patterns in ax_gcc_archflag.m4 to match Intel
	documentation. Per "Intel® 64 and IA-32 Architectures Software
	Developer’s Manual", Vol. 4, Table 2-1 "CPUID Signature Values of
	DisplayFamily_DisplayModel" the following Family/Model combinations are
	possible for Broadwell CPUs:

	- 06_3DH
	- 06_47H
	- 06_4FH
	- 06_56H

	Before this patch only the first combination was recognized, with all
	other Broadwell models falling into the '*??6??:*:*:*' case
	corresponding to Core 2.

2018-01-10  Philip Chimento  <philip@endlessm.com>

	AX_PKG_CHECK_MODULES: Normalize whitespace in package lists
	It can make configure.ac files more readable to list the packages on
	separate lines. Strip the newlines and extra whitespace with
	m4_normalize.

2018-01-03  Bojan Nikolic  <bojan@bnikolic.co.uk>

	AX_BOOST_THREAD: correct bug in case statement for solaris and mingw32
	Closes https://github.com/peti/autoconf-archive/pull/142.

2017-11-29  Enrico M. Crisostomo  <enrico.m.crisostomo@gmail.com>

	Fix build errors

	Update file header

	Add ax_prog_date.m4
	This macro tries to determine the type of the date (1) command and some of
	its non-standard capabilities.

2017-11-24  Evgeny Lensky  <surfernsk@gmail.com>

	Fix check for system libraries in both lib64 and lib
	if host_cpu = [i?86] libsubdirs = "", but it is necessary libsubdirs = "lib"
	Invalid execution, superfluous comma.

2017-11-14  Harenome Ranaivoarivony-Razanajato  <ranaivoarivony-razanajato@hareno.me>

	AX_PROG_HELP2MAN: fix default behaviour
	This commit fixes the default behaviour of the AX_PROG_HELP2MAN macro
	when the input program list is empty. The new implementation correctly
	uses the $(PACKAGE_NAME) variable as the default target as opposed to
	the previous implementation which produced incorrect make rules.

2017-11-11  Corey Farrell  <git@cfware.com>

	AX_GCC_FUNC_ATTRIBUTE: Add support for 'sentinel' attribute.

2017-11-10  Werner Lemberg  <wl@gnu.org>

	s/illegal/invalid/

2017-10-05  Reini Urban  <rurban@cpan.org>

	AX_COMPILER_FLAGS: add new gcc flags
	-Wduplicated-cond since gcc 6
	-Wduplicated-branches since gcc 7
	-Wlogical-op since gcc 4.3
	-Wrestrict since gcc 7
	-Wnull-dereference since gcc 6
	-Wjump-misses-init since gcc 4.5
	-Wdouble-promotion since gcc 4.6

	See also https://kristerw.blogspot.de/2017/09/useful-gcc-warning-options-not-enabled.html

2017-09-28  Peter Simons  <simons@cryp.to>

	AX_SUBDIRS_CONFIGURE: cosmetic

2017-09-28  Peter Simons  <simons@cryp.to>

	AX_TLS: check for thread_local storage qualifier keyword
	The AX_TLS macro tests for thread local storage support. It checks a variety of
	non-standard extensions, but forgets to try the official C++11 keyword
	thread_local as well.

	Submitted via https://savannah.gnu.org/patch/?9424.

2017-09-28  Peter Simons  <simons@cryp.to>

	AX_CHECK_DEFINE: fix warning about unused variable
	If the compiler flags include -Werror=unused, compiling the test source in
	AX_CHECK_DEFINE fails with a compile error if the define exists, resulting in
	AX_CHECK_DEFINE assuming the define is not set.

	Submitted via https://savannah.gnu.org/patch/?9452.

2017-09-28  Stanislav Brabec  <sbrabec@suse.com>

	Add support for fallthrough in AX_GCC_FUNC_ATTRIBUTE
	If two case statements are not separated by break, new gcc issues
	warning. This warning can be suppressed by __attribute((fallthrough)).
	Add test for it.

2017-09-28  Reini Urban  <rurban@cpan.org>

	m4: update AX_ASM_INLINE
	to use AC_COMPILE_IFELSE

	m4: update AX_COMPILE_CHECK_SIZEOF
	replace obsolete AC_TRY_COMPILE with AC_COMPILE_IFELSE([AC_LANG_PROGRAM

2017-09-27  Dmitry Eremin-Solenikov  <dbaryshkov@gmail.com>

	ax_valgrind_check: support make 3.8x
	define smth = was introduced only in GNU Make 4.0. Use older form to
	support GNU Make 3.8x

	ax_valgrind_check: run check-valgrind recursively
	Switch check-valgrind and check-valgrind-$TOOL into recursive Automake
	targets. It is still required to put @VALGRIND_CHECK_RULES@ into each
	directory with tests, but it is now possible to run `make check-valgrind'
	from top-level directory.

2017-08-28  Max Satula  <maksym.satula@gmail.com>

	Fix AX_LIB_ORACLE_OCI macro for plain C
	1. Use C compiler, not C++.
	2. Split LDFLAGS into LDFLAGS and LIBS.
	   However, merge them back to ORACLE_OCI_LDFLAGS afterwards
	   to preserve interface backward compatibility.
	3. Replace C++ style comments with C style.

	Resolves mloskot/autotools-modules#2

2017-08-23  Olaf Mandel  <olaf@mandel.name>

	AX_OPEN62541_*: adapt to v0.2 of the open62541 lib
	 * The AX_OPEN62541_CHECK_H macro now uses a slightly different default
	   list of headers
	 * The AX_OPEN62541_PATH macro adds another directory to the include
	   path

2017-08-16  Peter Simons  <simons@cryp.to>

	AX_BOOST_BASE: fix revision number

	AX_CHECK_GL: fix revision number

	Merge remote-tracking branch 'github/master'

2017-08-16  Bastien Roucariès  <bastien.roucaries+debian@gmail.com>

	Use AS_IF ansd follow progress
	Simplify checking of path

2017-08-15  Bastien Roucariès  <bastien.roucaries+debian@gmail.com>

	Further simplification of ax_boost_base

	Factorize version expanding in libboost detection

	Factorize base program

	Simplify cpu detection by using canonical host

	Privatize ac_boost_lib_path

	Use private variable for ac_boost_path
	Do not cluter global name space

	Use helper function for boost
	Simplify the code path

	Use m4sh in ax_boost_base

2017-08-15  Helmut Grohne  <helmut@subdivi.de>

	Fix crossbuild for AX_BOOST_BASE
	gource fails to cross build from source for wicked reasons. It
	terminates with:

	| Could not link against -lGLU !

	But that is a red herring. GLU is found. It just happens that ax_lib
	contains something old. The problem here is that BOOSTLIBDIR ends up
	being empty. It is derived from BOOST_LDFLAGS e.g. in AX_BOOST_SYSTEM or
	AX_BOOST_FILESYSTEM. Those latter macros expect that BOOST_LDFLAGS
	contains a -L flag. That flag goes missing during cross compilation. In
	AC_BOOST_BASE, the variable "libsubdirs" is properly set up to contain
	the multiarch libdir of the host architecture first. However, it is only
	searched for native compilation. For Debian systems, removing the cross
	compiling guard would likely resolve the issue. I'm less sure that this
	is universally correct though. Maybe a good solution would be to split
	"libsubdirs" into the multiarch directory (which would always be
	searched) and the others, which would only be searched for native
	compilation. I am attaching a patch for this approach.

2017-08-15  Bastien Roucariès  <bastien.roucaries+debian@gmail.com>

	Do not forget to save LDFLAGS
	ax_check_gl forget to save LDFLAGS

	Thanks to  Jerome Benoit <calculus@rezozer.net>

	debian-bug; https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=848363

2017-08-15  Bastien Roucariès  <bastien.roucaries+debian@gmail.com>

	Add newer version of python
	Add newer version of python. Thanks to debian

2017-08-12  Harenome Ranaivoarivony-Razanajato  <ranaivoarivony-razanajato@hareno.me>

	AX_PROG_HELP2MAN: new macro
	AX_PROG_HELP2MAN is a macro which helps using help2man to automatically
	produce man pages. It checks whether help2man is available on the
	system, adds the --disable-help2man option to the configure script and
	sets various variables for use in configure or Makefile.am files.

2017-08-01  Nico Madysa  <nico.madysa@tu-dresden.de>

	AX_BOOST_BASE: Make tests more portable.
	This commit makes `test` calls in AX_BOOST_BASE more uniform.
	Comparisons with the empty string are replaced with the `-n` and `-z`
	arguments. Comparisons with non-empty strings are done in the common portable
	way (e.g. `test "x$succeesed" = "xyes"`). The fragile `-a` argument is
	replaced by `&&`.

2017-08-01  Nico Madysa  <nico.madysa@tu-dresden.de>

	AX_BOOST_BASE: Fix missing BOOST_LDFLAGS.
	AX_BOOST_BASE first checks if Boost is installed in a standard location
	and sets BOOST_CPPFLAGS and BOOST_LDFLAGS accordingly.

	If Boost cannot be found, these variables are reset. Further proceedings
	depend on whether the actual location was passed in via
	--with-boost=<path> or not. If it was, BOOST_CPPFLAGS is determined
	automatically based on the given path. This automatic detection, however, did
	not include BOOST_LDFLAGS.

	Consequently, if Boost is in a non-standard location that is given via
	--with-boost, the user would also have to specify --with-boost-libdir.

	This commit fixes this issue by also determining BOOST_LDFLAGS
	automatically in this particular branch of execution. The performed
	check is very similar to the one done in various other locations of the
	macro.

2017-08-01  Peter Simons  <simons@cryp.to>

	Merge remote-tracking branch 'github/master'

2017-08-01  Harenome Ranaivoarivony-Razanajato  <ranaivoarivony-razanajato@hareno.me>

	AX_SUBDIRS_CONFIGURE: fix empty argument handling
	This commit fixes the way empty arguments are handled (i.e nothing is
	done) in AX_SUBDIRS_CONFIGURE as opposed to the previous implementation
	which could set wrong variables when empty arguments were provided.

2017-07-25  Bastien Roucariès  <bastien.roucaries+debian@gmail.com>

	Create a negative gnu make variable
	The makefile variable `ifnGNUmake' is set to #, otherwise
	it is set to the empty string. This is useful for including a special
	features in a Makefile, which can be handled
	by other versions of make or to specify else like clause.

	Allow action found action not found for  ax_check_gnu_make.m4
	Improve action to be done

	Move git ignore to top
	It is better for semantic to assign variable at top of rules

2017-07-05  Karl-Johan Alm  <karljohan-alm@garage.co.jp>

	AX_JNI_INCLUDE_DIR: Do not use AC_CHECK_FILE as it is unavailable on some systems.

2017-06-27  Simon McVittie  <smcv@debian.org>

	AX_PYTHON_DEVEL: Swap values of PYTHON_EXTRA_LIBS, PYTHON_EXTRA_LDFLAGS
	The LIBS and SYSLIBS Python configuration variables are lists of
	libraries, with typical values (on Debian GNU/Linux) being

	    LIBS = -lpthread -ldl -lutil
	    SYSLIBS = -lm

	so they should clearly be in a LIBS variable, not LDFLAGS.
	Conversely, the LINKFORSHARED Python configuration variable contains
	miscellaneous linker options, with its value on Debian being

	    -Xlinker -export-dynamic -Wl,-O1 -Wl,-Bsymbolic-functions

	so it should be in the LDFLAGS.

	This matters when linking statically or using a particularly
	pedantic linker: LDFLAGS appear on the linker command-line before
	the object files to be linked and (with some linkers) cannot satisfy
	undefined symbols, whereas LIBS appear after the object files in
	dependency order.

2017-06-15  Marvin Schmidt  <marv@exherbo.org>

	AX_RUBY_EXT: Use RbConfig instead of deprecated Config module

2017-06-05  David Seifert  <soap@gentoo.org>

	Move AX_RECURSIVE_EVAL to its own file
	* `AX_RECURSIVE_EVAL` is useful on its own, and consumers
	  should not be required to pull in the whole of
	  `AX_COMPUTE_RELATIVE_PATHS` to use it.

2017-04-25  Vasil Velichkov  <vasil_vel@abv.bg>

	Fix initialization of CODE_COVERAGE_GENHTML_OPTIONS
	There is no variable with name CODE_COVERAGE_GENHTML_OPTIONS_DEFAULTS so
	use the CODE_COVERAGE_GENHTML_OPTIONS_DEFAULT variable instead

2017-04-21  Peter Simons  <simons@cryp.to>

	AX_SUBDIRS_CONFIGURE: fix documentation layout for proper HTML rendering

2017-04-21  Harenome Ranaivoarivony-Razanajato  <ranaivoarivony-razanajato@hareno.me>

	AX_SUBDIRS_CONFIGURE: new macro
	AX_SUBDIRS_CONFIGURE is a macro akin to AC_CONFIG_SUBDIRS which allows
	to run other configure scripts. AX_SUBDIRS_CONFIGURE attempts to follow
	the same rules as AC_CONFIG_SUBDIRS such as:

	- command line arguments from the parent configure script are given to
	  the child configure script.
	- some arguments are modified (for instance `--cache-file`, `--srcdir`)

	However, as opposed to AC_CONFIG_SUBDIRS, AX_SUBDIRS_CONFIGURE takes 4
	additional parameters which correspond to:

	- arguments that must always be passed down to child configure scripts.
	- arguments that may be merged with existing arguments.
	- arguments that must replace existing arguments.
	- arguments that must never be passed to the configure scripts.

	Subdirectories recorded with AX_SUBDIRS_CONFIGURE are added to the new
	`subdirs_extra` variable instead of `subdirs`.

2017-04-06  Peter Simons  <simons@cryp.to>

	AX_ELISP: replace unicode characters with simpler ASCII variants

	AX_PROG_EMACS: replace unicode characters with simpler ASCII variants

2017-04-06  Thien-Thi Nguyen  <ttn@gnu.org>

	AX_ELISP: New submission
	I am submitting this to the Autoconf Archive in case it
	might be more widely useful than for EDB, its original home.
	As elisp.m4, it was mentioned in passing here:
	http://lists.gnu.org/archive/html/gnu-emacs-sources/2016-11/msg00001.html

	* m4/ax_elisp.m4: New file.

2017-04-06  Thien-Thi Nguyen  <ttn@gnu.org>

	AX_PROG_EMACS: New submission
	* m4/ax_prog_emacs.m4: New file.

2017-03-29  Peter Simons  <simons@cryp.to>

	AX_SYS_LARGEFILE_SENSITIVE: fix spelling of immediately

	Fix serial numbers after spelling fixes from cf2bd2c981de.

2017-03-28  Josh Soref  <jsoref@users.noreply.github.com>

	spelling: versions

	spelling: version

	spelling: variable

	spelling: useful

	spelling: upon

	spelling: unusable

	spelling: unsupported

2017-03-29  Josh Soref  <jsoref@users.noreply.github.com>

	spelling: unknown

2017-03-28  Josh Soref  <jsoref@users.noreply.github.com>

	spelling: understand

	spelling: supposed

	spelling: superfluous

	spelling: successful

	spelling: success

	spelling: succeeds

	spelling: subtract

	spelling: statement

	spelling: squeeze

	spelling: specified

	spelling: shortcircuit

	spelling: sharedstatedir

	spelling: separator

	spelling: separate

	spelling: search

	spelling: running

	spelling: respectively

	spelling: represents

	spelling: relative

	spelling: provide

	spelling: probabilistic

	spelling: preferably

	spelling: overridden

	spelling: output

	spelling: optimization

	spelling: normally

	spelling: needed

	spelling: modified

	spelling: moaning

	spelling: minimum

	spelling: merrily

	spelling: library

	spelling: instead

	spelling: instantiations

	spelling: instance

	spelling: installation

	spelling: increments

	spelling: implicitly

	spelling: implementation

	spelling: identifier

	spelling: filenames

	spelling: explicitly

	spelling: existence

	spelling: executed

	spelling: executable

	spelling: example

	spelling: especially

	spelling: equivalent

	spelling: environment

	spelling: dynamically

	spelling: directory

	spelling: directories

	spelling: detection

	spelling: dependency

	spelling: deliberately

	spelling: constructed

	spelling: consequence

	spelling: cleansing

	spelling: changelog

	spelling: borlandc

	spelling: bit specific

	spelling: binary

	spelling: available

	spelling: autoconf
